{
    "version": "2.0.0",
    "tasks": [
        {
            "type": "shell",
            "label": "go: build both packages in parallel",
            "command": "start /B go build ${workspaceFolder}/login && start /B go build ${workspaceFolder}/logic",
            "windows": {
                "command": "start /B go build ${workspaceFolder}/login && start /B go build ${workspaceFolder}/logic"
            },
            "linux": {
                "command": "go build ${workspaceFolder}/login & go build ${workspaceFolder}/logic & wait"
            },
            "osx": {
                "command": "go build ${workspaceFolder}/login & go build ${workspaceFolder}/logic & wait"
            },
            "problemMatcher": [
                "$go"
            ],
            "group": "build",
            "detail": "Parallel build of login and logic packages"
        },
        {
            "type": "go",
            "label": "go: build login",
            "command": "build",
            "args": [
                "${workspaceFolder}/login"
            ],
            "problemMatcher": [
                "$go"
            ],
            "group": "build",
            "detail": "cd ${workspaceFolder}; go build ${workspaceFolder}/login"
        },
        {
            "type": "go",
            "label": "go: build logic",
            "command": "build",
            "args": [
                "${workspaceFolder}/logic -o ${workspaceFolder}/logic_bin"
            ],
            "problemMatcher": [
                "$go"
            ],
            "group": "build",
            
        }
    ]
}